#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x05736383, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0xe086f34a, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xd59774e2, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x91fd49f3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x2f2b048f, "__skb_checksum_complete" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf70d777, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0xb708f56e, "skb_copy_bits" },
	{ 0x56ea8f79, "__nlmsg_put" },
	{ 0x4b8521a9, "netdev_adjacent_change_commit" },
	{ 0xed2f5eaf, "eth_mac_addr" },
	{ 0x837d3bc1, "skb_put" },
	{ 0x1d8f4cef, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xede9dd93, "ip6_dst_hoplimit" },
	{ 0x8b34e094, "param_ops_ushort" },
	{ 0xf1d4a4a1, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0xe360cdd8, "udp_sock_create4" },
	{ 0xb57366cb, "dst_cache_set_ip4" },
	{ 0xd97ca337, "udp_tunnel6_xmit_skb" },
	{ 0xa87d3f25, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xf50565ed, "netif_inherit_tso_max" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x87a7b536, "eth_validate_addr" },
	{ 0x64c3ad06, "rhashtable_init" },
	{ 0xef941a3b, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x49fb7e7a, "rtnl_create_link" },
	{ 0xba312564, "ip_route_output_flow" },
	{ 0x58acd303, "unregister_netdevice_queue" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xf4a35fd4, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x4051d3db, "ether_setup" },
	{ 0x259b9661, "udp_tunnel_drop_rx_port" },
	{ 0xde534155, "netdev_upper_dev_link" },
	{ 0x28e72632, "pskb_expand_head" },
	{ 0x2567be24, "register_pernet_subsys" },
	{ 0x1d75b26b, "netdev_core_stats_alloc" },
	{ 0x99862ee6, "eth_type_trans" },
	{ 0xf159bfd0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xbc003cd2, "__alloc_skb" },
	{ 0xc9b0bd14, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xdb7e7d3e, "eth_gro_complete" },
	{ 0x38d9a4b9, "rtnl_set_sk_err" },
	{ 0xdcc1ce47, "eth_gro_receive" },
	{ 0x591c9f12, "rtnl_configure_link" },
	{ 0x748f9dec, "skb_tunnel_check_pmtu" },
	{ 0x1c2ac625, "rtnl_unicast" },
	{ 0x7c698f50, "peernet2id" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x55538ca1, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x3e37c98d, "__dev_get_by_index" },
	{ 0x7edbe396, "rtnl_link_unregister" },
	{ 0xc5c67142, "__skb_get_hash" },
	{ 0xda77a7c5, "ipv6_stub" },
	{ 0xc3bacee0, "skb_pull" },
	{ 0x8a5bb9cd, "gro_find_complete_by_type" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x6a61648f, "dev_get_by_index_rcu" },
	{ 0x75021193, "kfree_skb_reason" },
	{ 0x5026845d, "gro_cells_receive" },
	{ 0x7a6b2418, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x69774377, "netdev_upper_dev_unlink" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x916faa58, "free_netdev" },
	{ 0xd35c81f7, "ip_mc_join_group" },
	{ 0xea8e2c4, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0x517bf8e2, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x40daf54e, "ethtool_op_get_link" },
	{ 0x5500a150, "nexthop_find_by_id" },
	{ 0x178daa98, "arp_create" },
	{ 0x38bd373, "__ethtool_get_link_ksettings" },
	{ 0x5ca0ba92, "netdev_adjacent_change_prepare" },
	{ 0xde26516, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xac8a5573, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0x5c2a0fd9, "netdev_adjacent_change_abort" },
	{ 0xd4db8dbd, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x90b95ce0, "__iptunnel_pull_header" },
	{ 0x7487509a, "__pskb_pull_tail" },
	{ 0x3a59b593, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x2bd2d7d2, "netif_rx" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0x9e7374d5, "setup_udp_tunnel_sock" },
	{ 0x390784d5, "udp_sock_create6" },
	{ 0xdf530344, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x2d64dacc, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xeefd7bde, "skb_scrub_packet" },
	{ 0xdbb87e4f, "nexthop_select_path" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x703eb2c1, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf373a1c, "neigh_destroy" },
	{ 0x1c21cec6, "dst_cache_get_ip6" },
	{ 0x4092e0db, "dst_cache_get_ip4" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x3b5c222b, "param_ops_bool" },
	{ 0x21c88a71, "udp_tun_rx_dst" },
	{ 0x4ce1235b, "dst_cache_set_ip6" },
	{ 0x5671a77, "rtnl_notify" },
	{ 0x3c68f6e, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe10515e2, "__netif_rx" },
	{ 0x4f5a76ab, "skb_clone" },
	{ 0x71be7c0f, "metadata_dst_alloc" },
	{ 0x4924a442, "dst_release" },
	{ 0xeb5757e8, "unregister_nexthop_notifier" },
	{ 0xa034dae3, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xdbbeab04, "udp_tunnel_notify_del_rx_port" },
	{ 0x9241fdb9, "register_nexthop_notifier" },
	{ 0x33f79340, "ip_mc_leave_group" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xad5ae412, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0x17bc31a8, "gro_find_receive_by_type" },
	{ 0xfb8a4037, "kmalloc_caches" },
	{ 0xb92038c6, "netdev_info" },
	{ 0xf6412260, "neigh_lookup" },
	{ 0x651fa88, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc891572d, "register_netdevice" },
	{ 0x7f80be1a, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "753F5947AF5CDDB727E3A47");
MODULE_INFO(rhelversion, "9.5");
