#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(__tracepoint_s390_zcrypt_req, "", "");
KSYMTAB_FUNC(__traceiter_s390_zcrypt_req, "", "");
KSYMTAB_DATA(__SCK__tp_func_s390_zcrypt_req, "", "");
KSYMTAB_DATA(__tracepoint_s390_zcrypt_rep, "", "");
KSYMTAB_FUNC(__traceiter_s390_zcrypt_rep, "", "");
KSYMTAB_DATA(__SCK__tp_func_s390_zcrypt_rep, "", "");
KSYMTAB_DATA(zcrypt_rescan_req, "", "");
KSYMTAB_FUNC(zcrypt_msgtype, "", "");
KSYMTAB_FUNC(zcrypt_send_cprb, "", "");
KSYMTAB_FUNC(zcrypt_send_ep11_cprb, "", "");
KSYMTAB_FUNC(zcrypt_device_status_mask_ext, "", "");
KSYMTAB_FUNC(zcrypt_device_status_ext, "", "");
KSYMTAB_FUNC(zcrypt_wait_api_operational, "", "");
KSYMTAB_FUNC(zcrypt_card_alloc, "", "");
KSYMTAB_FUNC(zcrypt_card_free, "", "");
KSYMTAB_FUNC(zcrypt_card_get, "", "");
KSYMTAB_FUNC(zcrypt_card_put, "", "");
KSYMTAB_FUNC(zcrypt_card_register, "", "");
KSYMTAB_FUNC(zcrypt_card_unregister, "", "");
KSYMTAB_FUNC(zcrypt_queue_alloc, "", "");
KSYMTAB_FUNC(zcrypt_queue_free, "", "");
KSYMTAB_FUNC(zcrypt_queue_get, "", "");
KSYMTAB_FUNC(zcrypt_queue_put, "", "");
KSYMTAB_FUNC(zcrypt_queue_register, "", "");
KSYMTAB_FUNC(zcrypt_queue_unregister, "", "");
KSYMTAB_FUNC(cca_check_secaeskeytoken, "", "");
KSYMTAB_FUNC(cca_check_secaescipherkey, "", "");
KSYMTAB_FUNC(cca_check_sececckeytoken, "", "");
KSYMTAB_FUNC(cca_genseckey, "", "");
KSYMTAB_FUNC(cca_clr2seckey, "", "");
KSYMTAB_FUNC(cca_sec2protkey, "", "");
KSYMTAB_FUNC(cca_gencipherkey, "", "");
KSYMTAB_FUNC(cca_clr2cipherkey, "", "");
KSYMTAB_FUNC(cca_cipher2protkey, "", "");
KSYMTAB_FUNC(cca_ecc2protkey, "", "");
KSYMTAB_FUNC(cca_query_crypto_facility, "", "");
KSYMTAB_FUNC(cca_get_info, "", "");
KSYMTAB_FUNC(cca_findcard, "", "");
KSYMTAB_FUNC(cca_findcard2, "", "");
KSYMTAB_FUNC(ep11_kb_wkvp, "", "");
KSYMTAB_FUNC(ep11_check_aes_key_with_hdr, "", "");
KSYMTAB_FUNC(ep11_check_ecc_key_with_hdr, "", "");
KSYMTAB_FUNC(ep11_check_aes_key, "", "");
KSYMTAB_FUNC(ep11_get_card_info, "", "");
KSYMTAB_FUNC(ep11_get_domain_info, "", "");
KSYMTAB_FUNC(ep11_genaeskey, "", "");
KSYMTAB_FUNC(ep11_clr2keyblob, "", "");
KSYMTAB_FUNC(ep11_kblob2protkey, "", "");
KSYMTAB_FUNC(ep11_findcard2, "", "");

SYMBOL_CRC(__tracepoint_s390_zcrypt_req, 0xde81d722, "");
SYMBOL_CRC(__traceiter_s390_zcrypt_req, 0x85ca4e1d, "");
SYMBOL_CRC(__SCK__tp_func_s390_zcrypt_req, 0x17a7ba6e, "");
SYMBOL_CRC(__tracepoint_s390_zcrypt_rep, 0xc79ae663, "");
SYMBOL_CRC(__traceiter_s390_zcrypt_rep, 0x404502d2, "");
SYMBOL_CRC(__SCK__tp_func_s390_zcrypt_rep, 0x0ebc8b2f, "");
SYMBOL_CRC(zcrypt_rescan_req, 0x67cedaeb, "");
SYMBOL_CRC(zcrypt_msgtype, 0xb144caf7, "");
SYMBOL_CRC(zcrypt_send_cprb, 0x0327b454, "");
SYMBOL_CRC(zcrypt_send_ep11_cprb, 0xfa128312, "");
SYMBOL_CRC(zcrypt_device_status_mask_ext, 0x9032dd84, "");
SYMBOL_CRC(zcrypt_device_status_ext, 0xa54284be, "");
SYMBOL_CRC(zcrypt_wait_api_operational, 0xa502c213, "");
SYMBOL_CRC(zcrypt_card_alloc, 0x736cd3d0, "");
SYMBOL_CRC(zcrypt_card_free, 0xc80bbab0, "");
SYMBOL_CRC(zcrypt_card_get, 0x10b3caa1, "");
SYMBOL_CRC(zcrypt_card_put, 0x495869fc, "");
SYMBOL_CRC(zcrypt_card_register, 0xc490c684, "");
SYMBOL_CRC(zcrypt_card_unregister, 0x6abbfd56, "");
SYMBOL_CRC(zcrypt_queue_alloc, 0x09ddeaef, "");
SYMBOL_CRC(zcrypt_queue_free, 0x1c3a3276, "");
SYMBOL_CRC(zcrypt_queue_get, 0x59fd83aa, "");
SYMBOL_CRC(zcrypt_queue_put, 0x7d0fa4ef, "");
SYMBOL_CRC(zcrypt_queue_register, 0xaa98de93, "");
SYMBOL_CRC(zcrypt_queue_unregister, 0xae88d103, "");
SYMBOL_CRC(cca_check_secaeskeytoken, 0xf872a28c, "");
SYMBOL_CRC(cca_check_secaescipherkey, 0xb49452a2, "");
SYMBOL_CRC(cca_check_sececckeytoken, 0x297e67af, "");
SYMBOL_CRC(cca_genseckey, 0x5e050fdf, "");
SYMBOL_CRC(cca_clr2seckey, 0x9992a66f, "");
SYMBOL_CRC(cca_sec2protkey, 0x52190334, "");
SYMBOL_CRC(cca_gencipherkey, 0x4aad03c0, "");
SYMBOL_CRC(cca_clr2cipherkey, 0xea54d73e, "");
SYMBOL_CRC(cca_cipher2protkey, 0xc3ee9fa0, "");
SYMBOL_CRC(cca_ecc2protkey, 0xec693119, "");
SYMBOL_CRC(cca_query_crypto_facility, 0xc20af440, "");
SYMBOL_CRC(cca_get_info, 0x314aed2b, "");
SYMBOL_CRC(cca_findcard, 0x2dc30fe9, "");
SYMBOL_CRC(cca_findcard2, 0x1360e3df, "");
SYMBOL_CRC(ep11_kb_wkvp, 0xe741c8e5, "");
SYMBOL_CRC(ep11_check_aes_key_with_hdr, 0xca3f9e9d, "");
SYMBOL_CRC(ep11_check_ecc_key_with_hdr, 0x661a3584, "");
SYMBOL_CRC(ep11_check_aes_key, 0xccf2b0d8, "");
SYMBOL_CRC(ep11_get_card_info, 0xee077284, "");
SYMBOL_CRC(ep11_get_domain_info, 0xc0c976b6, "");
SYMBOL_CRC(ep11_genaeskey, 0x2d7f789b, "");
SYMBOL_CRC(ep11_clr2keyblob, 0x0b198dc8, "");
SYMBOL_CRC(ep11_kblob2protkey, 0xdb0adadb, "");
SYMBOL_CRC(ep11_findcard2, 0x274ee02a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa397ecd, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x58ba8b63, "misc_deregister" },
	{ 0x58f31f10, "hwrng_unregister" },
	{ 0x77bc13a0, "strim" },
	{ 0x4579f71e, "dev_set_name" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xe33fb547, "trace_raw_output_prep" },
	{ 0x1d5d8f2c, "device_unregister" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xe1d08cc6, "class_destroy" },
	{ 0xec5107e9, "trace_event_printf" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xc371ed52, "debug_set_level" },
	{ 0x2f981466, "debug_register" },
	{ 0xd43f1bee, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x3e191ddc, "bpf_trace_run2" },
	{ 0x88b8c1de, "event_triggers_call" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xb89ac430, "get_device" },
	{ 0x77247c5e, "ap_bus_force_rescan" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc7a28419, "class_create_file_ns" },
	{ 0x711e1491, "ap_perms" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xfbd0eec3, "hwrng_register" },
	{ 0x97f9055, "trace_event_buffer_commit" },
	{ 0x7bd7dfd0, "ap_test_config_usage_domain" },
	{ 0x92997ed8, "_printk" },
	{ 0xd5e90454, "ap_domain_index" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xaa3c9940, "put_device" },
	{ 0x904a5f07, "trace_event_ignore_this_pid" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xd7a74148, "module_put" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xf1656f6b, "cdev_add" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x61568cd1, "perf_trace_run_bpf_submit" },
	{ 0x7bb7a27d, "bpf_trace_run5" },
	{ 0xe92dae71, "class_create" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x85abc85f, "strncmp" },
	{ 0x135096a3, "trace_event_reg" },
	{ 0xad4aee39, "strncpy" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0x67a88098, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x78ad0ebb, "ap_queue_message" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x72aa8936, "__debug_sprintf_event" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x1287e955, "ap_cancel_message" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xb8518464, "device_register" },
	{ 0xafc9fd6d, "device_match_devt" },
	{ 0x970f17a7, "ap_parse_mask_str" },
	{ 0x9505facc, "misc_register" },
	{ 0x1e5d26, "ap_send_online_uevent" },
	{ 0x3046e57c, "ap_flush_queue" },
	{ 0xaaa66739, "ap_wait_init_apqn_bindings_complete" },
	{ 0xd317aad2, "sysfs_remove_group" },
	{ 0xdcb54764, "debug_unregister" },
	{ 0x70f81b56, "ap_max_msg_size" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xbc281e3e, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x562b9be5, "ap_test_config_ctrl_domain" },
	{ 0x806b88cc, "device_match_name" },
	{ 0x5003d52a, "ap_perms_mutex" },
	{ 0xb084d362, "ap_is_se_guest" },
	{ 0x343387d6, "stream_open" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xad5ae412, "kmalloc_trace" },
	{ 0xcea6eab0, "debug_sprintf_view" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc21d2789, "debug_register_view" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xa5effc36, "cdev_init" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xfb8a4037, "kmalloc_caches" },
	{ 0xd8c5dd42, "class_remove_file_ns" },
	{ 0xefba1ab, "cdev_del" },
	{ 0xeb08d762, "class_find_device" },
	{ 0xab86036, "ap_queue_usable" },
	{ 0x7f80be1a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B9F8F7DE890EC0DCAD52656");
MODULE_INFO(rhelversion, "9.5");
