#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0x9096b861, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0xcd2eea07, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x11056535, "_gpl");
SYMBOL_CRC(fat_scan, 0x74097404, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0xe1aefaae, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0x358d82b9, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x36abeced, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0xb8f225e3, "_gpl");
SYMBOL_CRC(fat_getattr, 0x84f30036, "_gpl");
SYMBOL_CRC(fat_setattr, 0x3c6c0677, "_gpl");
SYMBOL_CRC(fat_attach, 0xbb618308, "_gpl");
SYMBOL_CRC(fat_detach, 0x5c2c4876, "_gpl");
SYMBOL_CRC(fat_build_inode, 0xabb3a88d, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0xb87aa495, "_gpl");
SYMBOL_CRC(fat_fill_super, 0xc32fa6a8, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0xd43c5cd1, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x98b994dc, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0xf20fdb14, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x62d58cd6, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x4455e66f, "_gpl");
SYMBOL_CRC(fat_update_time, 0x7c9b5ef7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x62101f8e, "filemap_fdatawrite" },
	{ 0xf6c33a61, "generic_fillattr" },
	{ 0x80f13aa8, "setattr_prepare" },
	{ 0x5ef70c48, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x66561828, "sync_blockdev_nowait" },
	{ 0x1493f1b7, "blk_start_plug" },
	{ 0xae5b93b3, "clear_inode" },
	{ 0x796789a2, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x74a47bd2, "generic_file_splice_read" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xa8a71934, "new_inode" },
	{ 0x3195425, "mark_buffer_dirty" },
	{ 0x6215080f, "security_inode_setattr" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x8b9ca2ed, "__find_get_block" },
	{ 0x53817dfd, "filemap_fdatawrite_range" },
	{ 0xa7165cba, "inode_needs_sync" },
	{ 0xa9f7d558, "__blockdev_direct_IO" },
	{ 0x79e3f82, "d_make_root" },
	{ 0x4568159a, "__bforget" },
	{ 0x4d68d934, "sb_set_blocksize" },
	{ 0xe617692f, "block_truncate_page" },
	{ 0xfe6aba33, "write_dirty_buffer" },
	{ 0xf90671d8, "sync_filesystem" },
	{ 0x7b0758e3, "fsnotify" },
	{ 0xf5037c13, "current_time" },
	{ 0x236c8c64, "memcpy" },
	{ 0xce6456cb, "inode_dio_wait" },
	{ 0x29b5e771, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0xf14861d5, "cont_write_begin" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x8e989ece, "iput" },
	{ 0x31cd789a, "iter_file_splice_write" },
	{ 0x843c33c, "generic_file_write_iter" },
	{ 0x3d32d3b2, "kmem_cache_create" },
	{ 0xfce9cf9, "sync_inode_metadata" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x4f674050, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0xae304c01, "block_invalidate_folio" },
	{ 0x88026d47, "__breadahead" },
	{ 0x5ca42411, "generic_write_end" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x17816358, "load_nls" },
	{ 0xe3c93510, "generic_cont_expand_simple" },
	{ 0xf9841167, "make_kuid" },
	{ 0x5c4ec958, "truncate_inode_pages_final" },
	{ 0xba1c78be, "block_write_full_page" },
	{ 0x6c24662e, "generic_file_mmap" },
	{ 0xb8e239db, "sync_mapping_buffers" },
	{ 0x295abf44, "ilookup" },
	{ 0xde32c5bc, "kmem_cache_alloc" },
	{ 0x90610846, "invalidate_inode_buffers" },
	{ 0xbec0afed, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x8e5f635d, "mnt_drop_write_file" },
	{ 0x1ddb429a, "inode_init_once" },
	{ 0x61db1338, "compat_ptr_ioctl" },
	{ 0x22e580c9, "__fsnotify_parent" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x4f8e8a0c, "__brelse" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0xe7a6b62c, "generic_file_read_iter" },
	{ 0xe1c401ef, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0x9731752, "truncate_pagecache" },
	{ 0x6ec61cc8, "sync_dirty_buffer" },
	{ 0xa09f004f, "setattr_copy" },
	{ 0xacfccb81, "__wait_on_buffer" },
	{ 0x21f8e6bd, "set_nlink" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x2c42619, "kmem_cache_free" },
	{ 0x85abc85f, "strncmp" },
	{ 0xdc9a1b22, "from_kgid" },
	{ 0xb3d6fda, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x59533ddf, "write_inode_now" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xefaf0df9, "d_obtain_alias" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x86d6ee60, "__bread_gfp" },
	{ 0xa654f863, "block_dirty_folio" },
	{ 0x40282e72, "mpage_read_folio" },
	{ 0xd9bd3270, "from_kuid" },
	{ 0xf92f7837, "__insert_inode_hash" },
	{ 0x5d6657b8, "make_kgid" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x1be33186, "from_kgid_munged" },
	{ 0x103bafd6, "down_read" },
	{ 0x34f93db5, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x41a8a973, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x38615938, "igrab" },
	{ 0x52ce1b33, "__getblk_gfp" },
	{ 0xa0005242, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x330bc45b, "mpage_readahead" },
	{ 0x76756c3c, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x2783515b, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0x6645eee6, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x49895338, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x30f13128, "blkdev_issue_flush" },
	{ 0x51046024, "seq_puts" },
	{ 0xd901f19b, "generic_fh_to_parent" },
	{ 0x815b5dd4, "match_octal" },
	{ 0x2f0164f9, "from_kuid_munged" },
	{ 0xad5ae412, "kmalloc_trace" },
	{ 0xba39299c, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xebe643e0, "kmem_cache_alloc_lru" },
	{ 0xd8f57edb, "__mark_inode_dirty" },
	{ 0xc007cf2f, "generic_file_llseek" },
	{ 0xd93c394b, "unload_nls" },
	{ 0x555ccb97, "up_read" },
	{ 0x3d21209, "mark_buffer_dirty_inode" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xee556d01, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xfb8a4037, "kmalloc_caches" },
	{ 0xe6d6be49, "kmem_cache_destroy" },
	{ 0xcab862e0, "blkdev_issue_discard" },
	{ 0x7f80be1a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B4C31DBF57025ED5BCF40D4");
MODULE_INFO(rhelversion, "9.5");
