#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hb_modulo, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0x5496a60e, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0x52935f3b, "_gpl");
SYMBOL_CRC(is_root_decoder, 0x9f29bd3c, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0x45c196d6, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0xc01da8ad, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0xd2c98e4a, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0x68b2a24f, "_gpl");
SYMBOL_CRC(is_cxl_port, 0x2f80c1d5, "_gpl");
SYMBOL_CRC(to_cxl_port, 0x2f4f73bf, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0x7580b3d2, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0x131ccac2, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0xd595f68e, "_gpl");
SYMBOL_CRC(find_cxl_root, 0xa6a63805, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0x7850a4e5, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0xe4dbe719, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0x8411ca51, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0x81d633e5, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0xbda5f963, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0xd1fe486c, "_gpl");
SYMBOL_CRC(cxl_hb_modulo, 0x06f68edf, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0xbfa32a13, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0xf74b71f7, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0x269956a0, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0x8660d528, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0xf547e31e, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0xf0b41dd5, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0x268c837d, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0x86bfcbaa, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0x2195be9c, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0xc15513f0, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0xf28e3c72, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0x61221648, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0x24059c1a, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0xcc49dcdd, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0x43fe0bb3, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0x058bfa6b, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0x19ef8179, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0xc876d3a0, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0xc91043b5, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0x34f0b9e9, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0xc7401b27, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0x37db762b, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0xf2ae653a, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0x297cb19c, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0x350f90df, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0xa815c622, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0x31eab670, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0xb89fc36e, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0x55db0b48, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0x78aa726b, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0x94b4bd13, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0xd118a34d, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0xb50baa2e, "_gpl");
SYMBOL_CRC(cxl_dev_state_create, 0xea55eaad, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0xf3bd8c3d, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0xe267cc3c, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0xa7446c0f, "_gpl");
SYMBOL_CRC(read_cdat_data, 0x59c105f0, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0x65c878ca, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0xd6d47796, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0x68c74297, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0x4459619d, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0xa9871b9f, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0xc4abe339, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0x4b4f0635, "_gpl");
SYMBOL_CRC(is_cxl_region, 0x764f0090, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0x12b6fc4a, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0x39ca8bab, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0x66b8e21f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x93430c26, "bpf_trace_run4" },
	{ 0x3c1163f5, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x4579f71e, "dev_set_name" },
	{ 0x8b34e094, "param_ops_ushort" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe33fb547, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x709bb74f, "cdev_device_del" },
	{ 0x1d5d8f2c, "device_unregister" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x8bded20f, "zpci_load" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xec5107e9, "trace_event_printf" },
	{ 0x4ce74100, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x5a5d97d6, "device_initialize" },
	{ 0xd43f1bee, "trace_event_raw_init" },
	{ 0x81844c9d, "vmemdup_user" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3e191ddc, "bpf_trace_run2" },
	{ 0x88b8c1de, "event_triggers_call" },
	{ 0xccb9c601, "devm_remove_action" },
	{ 0xb89ac430, "get_device" },
	{ 0xecefd8ab, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3b24267d, "dev_driver_string" },
	{ 0x97f9055, "trace_event_buffer_commit" },
	{ 0x4479a8a9, "pci_read_config_dword" },
	{ 0x87aafda0, "__devm_request_region" },
	{ 0xfcdf92c0, "cdev_device_add" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0xaa3c9940, "put_device" },
	{ 0x904a5f07, "trace_event_ignore_this_pid" },
	{ 0x48c680f5, "bus_for_each_dev" },
	{ 0xbbb390af, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x61db1338, "compat_ptr_ioctl" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x61568cd1, "perf_trace_run_bpf_submit" },
	{ 0xb7305b48, "sysfs_update_group" },
	{ 0x48bfa029, "bus_unregister" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x914c9eb6, "devm_kfree" },
	{ 0x37839a33, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x6ccc34dd, "sort" },
	{ 0x8d615685, "debugfs_create_bool" },
	{ 0xf1902582, "bus_find_device" },
	{ 0xe3fe0d8, "device_add" },
	{ 0xc9b7bbe6, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x533e3720, "noop_llseek" },
	{ 0xf90fff33, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xd53e8a09, "debugfs_remove" },
	{ 0xed89f152, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x135096a3, "trace_event_reg" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xb2010084, "driver_unregister" },
	{ 0xf31c0d52, "ioremap" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x8670abf9, "device_find_child" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x57b009e7, "devm_release_action" },
	{ 0x5eeb247c, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x252fe7e4, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0x1d30855a, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xa8de954a, "pci_doe_submit_task" },
	{ 0x4c30dbda, "bus_rescan_devices" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x103bafd6, "down_read" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x85d14264, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xbc281e3e, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x79cd6498, "down_write_killable" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x42ae6d99, "xa_find" },
	{ 0xff1e820c, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6645eee6, "seq_printf" },
	{ 0x806b88cc, "device_match_name" },
	{ 0xf702231b, "pci_walk_bus" },
	{ 0xad5ae412, "kmalloc_trace" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x95dcd559, "__devm_add_action" },
	{ 0x564aa25b, "pci_find_dvsec_capability" },
	{ 0x8a9670ee, "pci_doe_supports_prot" },
	{ 0x469a842f, "device_find_child_by_name" },
	{ 0x2afc7428, "device_release_driver" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xae50c910, "pci_write_config_word" },
	{ 0xc88dc1f, "debugfs_create_dir" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xc2cbf983, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa5effc36, "cdev_init" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x2472c713, "pci_bus_type" },
	{ 0xfb8a4037, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x7d7e845b, "bus_register" },
	{ 0x7f80be1a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "913D8869F3A8CC11CEB08DD");
MODULE_INFO(rhelversion, "9.5");
