#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(key_type_trusted, "_gpl", "");
KSYMTAB_FUNC(TSS_authhmac, "_gpl", "");
KSYMTAB_FUNC(TSS_checkhmac1, "_gpl", "");
KSYMTAB_FUNC(trusted_tpm_send, "_gpl", "");
KSYMTAB_FUNC(oiap, "_gpl", "");

SYMBOL_CRC(key_type_trusted, 0x99f4591c, "_gpl");
SYMBOL_CRC(TSS_authhmac, 0x79470a2c, "_gpl");
SYMBOL_CRC(TSS_checkhmac1, 0xde6f1851, "_gpl");
SYMBOL_CRC(trusted_tpm_send, 0xca541308, "_gpl");
SYMBOL_CRC(oiap, 0x73cc8631, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa21a55a5, "tpm_transmit_cmd" },
	{ 0xa4c00324, "asn1_encode_octet_string" },
	{ 0xf05a52fe, "asn1_encode_oid" },
	{ 0x8180cede, "asn1_encode_sequence" },
	{ 0x89a5b98d, "look_up_OID" },
	{ 0xbeb0e42a, "unregister_key_type" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x233f5316, "sprint_oid" },
	{ 0xbf19e29f, "tpm2_flush_context" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x45d592f9, "register_key_type" },
	{ 0x87fcab48, "hex2bin" },
	{ 0xf4678eb6, "crypto_destroy_tfm" },
	{ 0xcec02277, "tpm_try_get_ops" },
	{ 0x7ad02a41, "asn1_encode_tag" },
	{ 0x92997ed8, "_printk" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xaa3c9940, "put_device" },
	{ 0x681c8842, "tpm_get_random" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6e9888b5, "tpm_default_chip" },
	{ 0x639ab850, "crypto_shash_setkey" },
	{ 0xa575c38c, "user_describe" },
	{ 0x85abc85f, "strncmp" },
	{ 0x8f191d9d, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x927698b1, "tpm_pcr_extend" },
	{ 0xcd24e146, "hash_digest_size" },
	{ 0xad74b92c, "crypto_shash_update" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x704bc18f, "param_ops_charp" },
	{ 0x18836d08, "tpm_send" },
	{ 0xc3c4c6cc, "hash_algo_name" },
	{ 0xc7e64fc2, "asn1_encode_integer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x52ac0e4b, "tpm_is_tpm2" },
	{ 0xf5bddd56, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x44e9a829, "match_token" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60c5ff1c, "key_payload_reserve" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8ac37370, "tpm_put_ops" },
	{ 0xad5ae412, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xd031b589, "asn1_ber_decoder" },
	{ 0xb7ee76b8, "crypto_alloc_shash" },
	{ 0x91ea8726, "asn1_encode_boolean" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xfb8a4037, "kmalloc_caches" },
	{ 0x7f80be1a, "module_layout" },
};

MODULE_INFO(depends, "asn1_encoder");


MODULE_INFO(srcversion, "44CCFE8BC23E6F3AC90BE55");
MODULE_INFO(rhelversion, "9.5");
